cURL
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address} \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "<string>",
"grid_user_id": "<string>",
"status": "<string>",
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"admin_address": "<string>",
"time_lock": 1
},
"settings_address": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}accounts
Get apigridv1accounts
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address (Solana public key)
Was this page helpful?
⌘I